What is this Poodle? Check out the PDF here The short version is that SSL 3.0 has some issues that mean that if you value the security of your server hosting an SSL accessible service, then you should disable SSLv3 on any applicable systems that are affected. Am I...